Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gps
Interface GpsDataListener

All Known Subinterfaces:
  GuiIfc

All Known Implementing Classes:
  AlohaTracker, BeaconData, GPSStatusDialog, GPSStatusPane, KenwoodRadioViewPane, MainFrame, YAAC

    public interface GpsDataListener

Implementors of this interface can be notified when GPS data is updated.

Method Summary
`void` | `gpsDataUpdated(GPSDistributor distributor, GpsFix currentFix, boolean isLocal, java.lang.String source)` Called by the GPSDistributor when the GPS data has been updated.
`void` | `satDataUpdated(GPSDistributor distributor, SatelliteCatalog satCatalog, boolean isLocal, java.lang.String source)` Called when the satellite constellation in use changes.

Method Detail

### gpsDataUpdated

    void gpsDataUpdated(GPSDistributor distributor,
                        GpsFix currentFix,
                        boolean isLocal,
                        java.lang.String source)

  Called by the GPSDistributor when the GPS data has been updated.

  Parameters:
    `distributor` - instance of the GPSDistributor
    `currentFix` - current position data reported by the local GPS
    `isLocal` - boolean true if this is GPS data for the local station, false if for a remote GPS receiver
    `source` - String name assigned to remote GPS receiver, or null if for the local receiver

### satDataUpdated

    void satDataUpdated(GPSDistributor distributor,
                        SatelliteCatalog satCatalog,
                        boolean isLocal,
                        java.lang.String source)

  Called when the satellite constellation in use changes.

  Parameters:
    `distributor` - instance of the GPSDistributor
    `satCatalog` - updated SatelliteCatalog instance
    `isLocal` - boolean true if this is GPS data for the local station, false if for a remote GPS receiver
    `source` - String name assigned to remote GPS receiver, or null if for the local receiver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD